std::experimental::ranges::Regular(3)

NAME
std::experimental::ranges::Regular - std::experimental::ranges::Regular

Synopsis
   Defined in header <experimental/ranges/concepts>
   template <class T> (ranges TS)
   concept bool Regular = Semiregular<T> && EqualityComparable<T>;
   The Regular concept specifies that a type is regular, that is, it is copyable,
   default constructible, and equality comparable. It is satisfied by types that behave
   similarly to built-in types like int, and that are comparable with ==.